Redmine - Defect #6981

NoMethodError (undefined method "new' for Digest:Module)
2010-11-25 13:46 - Pavel P

Status: Closed Start date: 2010-11-25
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

| use redmine stable 1.0 with passenger 3.0.0.

ruby 1.8.7 (2010-04-19 patchlevel 253) [x86_64-freebsd6.4], MBARI 0x6770, Ruby Enterprise Edition 2010.02
rails (3.0.3, 2.3.5)

rack (1.2.1, 1.0.1)

On index page i've got error 500. In redmine log file:

NoMethodError (undefined method "new' for Digest:Module) :
app/controllers/application_controller.rb:63:in "~ find_current_user'
app/controllers/application_controller.rb:57:in ‘user_setup'
passenger (3.0.0) lib/phusion_passenger/rack/request_handler.rb:96:in ‘process_request'
passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:513:in "accept_and_process_n
ext_request'
passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:274:in "main_loop'
passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in "“start_reque
st_handler'

passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in "~send'

passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in "handle_spaw
n_application'’

passenger (3.0.0) lib/phusion_passenger/utils.rb:479:in “safe_fork'

passenger (3.
n_application'

(@]

.0) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in "handle_spaw

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in ~__send_ '
passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in "server_main_loop'
passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in "~start_synchronously'
passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:180:in ‘start'
passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in "start'
passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:219:in "~ spawn_rails_application'
passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:132:in "lookup_or_add'
passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:214:in "~ spawn_rails_application'
passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:82:in "“synchronize'
passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:213:in "~ spawn_rails_application'
passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:132:in ' spawn_application'
passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_application'
passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in "_ send_ '
passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in "server_main_loop'
passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in "~start_synchronously'
passenger (3.0.0) helper-scripts/passenger-spawn-server:99

History

#1 - 2010-11-26 09:27 - Pavel P

what can i do? any checks?

gems on my system:

abstract (1.0.0)
actionmailer (3.0.3, 2.3.5)
actionpack (3.0.3, 2.3.5)
activemodel (3.0.3)
activerecord (3.0.3, 2.3.5)
activeresource (3.0.3, 2.3.5)
activesupport (3.0.3, 2.3.5)
arel (2.0.4)

builder (2.1.2)

bundler (1.0.7)
daemon_controller (0.2.5)
erubis (2.6.6)

fastthread (1.0.7)
file-tail (1.0.5)

il8n (0.4.2)

iconv (0.1)

mail (2.2.10)

mime-types (1.16)

mysqgl (2.8.1)

passenger (3.0.0)

pg (0.9.0)

polyglot (0.3.1)

rack (1.2.1, 1.0.1)
rack-mount (0.6.13)
rack-test (0.5.6)

rails (3.0.3, 2.3.5)
railties (3.0.3)

rake (0.8.7)

spruz (0.2.2)

sgqlite3-ruby (1.3.1)

thor (0.14.6)

treetop (1.4.9)

tzinfo (0.3.23)

#2 - 2010-11-26 10:50 - Felix Schéfer

You seem to have have some weirdness in your rails install, | think the failing Digest:Module is from when rails tries to generate a session cookie.
Maybe you could google/investigate that way?

#3 - 2010-11-29 12:27 - Pavel P

- Status changed from New to Resolved

Ruby enterprise installer for some reason did't install correctly openssl native extension.
Let's install it manualy:

cd ~/ruby-enterprise-1.8.7-2010.02/source/ext/openssl
ruby extconf.rb
make install

#4 - 2011-03-23 09:40 - Toshi MARUYAMA

- Status changed from Resolved to Closed
